XINE(1)

NAZWA
xine - wolny odtwarzacz wideo

SK£ADNIA
xine [opcje] [MRL] ...

OPIS
Ta strona manuala skrótowo opisuje odtwarzacz d¼wiêku/obrazu xine.

xine odtwarza sekwencje MPEG (obraz i d¼wiêk), elementarne sekwencje MPEG (np. pliki .mp3 lub .mpv), struminie transmisji mpeg, pliki ogg, pliki avi, asf, quicktime oraz DVD i (S)VCD.

OPCJE
Program na¶laduje sk³adniê wiersza poleceñ w stylu GNU, z d³ugimi nazwami opcji zaczynaj±cymi siê od podwójnego my¶lnika (`-'). Lista opcji jest zebrana poni¿ej. Pe³nego opisu szukaj w dokumentach README_pl i FAQ_pl w katalogu /usr/share/doc/xine-ui lub na stronie g³ównej projektu xine

-h, --help
    Pokazuje listê opcji i dostêpnych sterowników wyj¶cia (wtyczek).

-a, --audio-channel <numer>
    Wybiera podany kana³ d¼wiêkowy. <numer> jest numerem kana³u d¼wiêkowego, domy¶lnym jest 0.
    xine 0.5 i nowszy próbuje najlepiej jak umie wyszukaæ listê kana³ów (ac3, mpeg audio, avi audio, ...) z sekwencji d¼wiêkowych i mapuje je do "kana³ów wirtualnych" z numerami kana³ów zaczynaj±cymi siê od 0.

-V, --video-driver <sterownik>
    Wybiera sterownik wideo. Spróbuj xine --help by otrzymaæ listê dostêpnych sterowników wideo w Twoim systemie. Ten wybór zostanie automatycznie zapisany do Twojego ~/.xine/config wiêc musisz zdefiniowaæ sterownik wideo tylko raz.

-A, --audio-driver <sterownik d¼wiêku>
    Wybiera sterownik d¼wiêku. Sróbuj xine --help by otrzymaæ listê dostêpnych sterowników d¼wiêku w Twoim systemie. Ten wybór jest automatycznie zapisywany do Twojego .xinerc wiêc bêdziesz musia³ zdefiniowaæ sterownik d¼wiêku tylko raz.

-u, --spu-channel <numer>
    Wybierz kana³ (podobrazu napisów).<numer> to numer kana³u napisów domy¶lnie jest bez (-1fP).

-p[q][d][v], --auto-play= [f][F][h][w][q][d][v]
    Zaczyna odtwarzaæ od razy po starcie programu. Mo¿na dodaæ:
    `f' w trybie pe³noekranowym,
    `F' w trybie pe³noekranowym xinerama,
    `h' ukryj GUI (panel g³ówny, etc...),
    `w' ukryj okno wyj¶cia obrazu,
    `q' aby zakoñczyæ program po zakoñczeniu odtwarzania,
    Jest równie¿ mo¿liwe pobranie listy odtwarzania z DVD `d', lub VCD `v'. Jest teraz równie¿ bardziej ogólna opcja, --auto-scan (zobacz ni¿ej).

-s, --auto-scan <wtyczka>
    Automatycznie pobierz listê odtwarzania z wtyczki wej¶cia. Wiele wtyczek pozwala na odczyt domy¶lnej listy odtwarzania, aby odtworzyæ wszystko. To dzia³a w przypadku, np. DVD lub VCD. Podaj±c tak± opcjê daje taki sam effekt jak przyci¶niêcie odpowiedniego przycisku na panelu g³ównym xine.

    Ta opcja jest g³ównie przydatna w kombinacji z auto-odtwarzaniem. Mo¿esz wystartowaæ xine --auto-play --auto-scan dvd aby odtworzyæ ca³e DVD bez naciskania jakichkolwiek dodatkowych przycisków. To dzia³a równie¿ z wtyczkami nie rozprowadzanymi z xine, po prostu podaj nazwê przycisku który wymagana wtyczka dodaje do panelu xine!

-f, --fullscreen
    Prze³±cz xine do trybu pe³noekranowego przy uruchomieniu (tak jak naci¶niêcie `f')

-F, --xineramafull
    Prze³±cz xine do trybu pe³noekranowego przy starcie (po prostu jak naci¶niêcie `F'). To znaczy, próbuje rozci±gn±æ wy¶wietlacz na kilka ekranów. Ekrany które maj± byæ u¿yte s± definiowane w pliku konfiguracyjnym.

-g, --hide-gui
    Ukryj wszystkie okna GUI (z wyj±tkiem okna wy¶wietlania) przy starcie. Dzia³a tak samo jak naci¶niecie `G' podczas dzia³ania xine.

-H, --hide-video
    Ukryj okno wyj¶cia obrazu.

-L, --no-lirc
    Wy³±cz obs³ugê LIRC. Ta opcja jest dostêpna tylko je¶li xine zosta³o skompilowane z obs³ug± LIRC.

--visual <typ-wy¶witlania-lub-id>
    Próbuje u¿yæ specyficznego typu wy¶wietlania serwera X11 dla okien xine. Parametr <typ-wy¶wietlania-lub-id> jest albo nazw± typu wy¶wietlania X11 (StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor or DirectColor) albo jego warto¶ci± szesnastkow±.

    Je¿eli u¿yte z nazw± typu wy¶witlania kolorów, xine próbuje znale¼æ taki typ sp¶ród g³êbii 15 albo 16, 24, 32 lub 8 (w tej kolejno¶ci). Domy¶lny typ wy¶wietlania u¿ywany przez xine w przypadku braku opcji --visual to TrueColor. Je¿eli ¿adna g³êbia kolorów nie zostanie znaleziona, xine przeskoczy z powrotem do g³êbii u¿ytej przez g³ówne okno serwera X11.

--install
    Kiedy u¿yta jest wy¶witlanie X11 ze zmienn± map± kolorów, instaluje osobist± mapê kolorów dla xine. Z osobist± map± kolorów, xine mo¿e mapowaæ wiêcej kolorów tak ¿e wyj¶ciowy ekran wideo mo¿e wygl±daæ lepiej.

--keymap=[opcja]
    Wy¶wietl mapowanie klawiszy. Opcjami s±:
    `default' wy¶wietl domy¶lne mapowanie klawiszy,
    `lirc' wy¶wietl szablon pliku konfiguracyjnego ~/.lircrc,
    `remapped' przemapowane przez u¿ytkownika mapowania klawiszy,
    Je¶li ¿adna opcja nie jest podana, wybrana zostaje `default'.

-n, --network
    Aktywuj sieciowy serwer zdalnej kontroli. Aby u¿ywaæ sieciowy serwer zdalnej kontroli, wymagany jest plik z has³em. Je¶li xine nie mo¿e go znale¼æ, serwer zostaje zatrzymany. Sk³adnia pliku hase³ na¶laduje dobrze znany schemat <identyfikator>:<has³o>. Poniewa¿ kryptografia jest obiektem prawnych problemów w niektórych krajach, has³o jest niezaszyfrowane jak równie¿ przesy³ane niezaszyfrowane, wiêc nale¿y zachowaæ szczególn± ostro¿no¶æ przy zdalnych po³±czeniach. Dwie dodatkowe (opcjonalne) zasady s± równie¿ dostêpne (jedna na raz):
    ALL:ALLOW or ALL:DENY
    W pierwszym przypadku, wszystkie klienty s± autoryzowane do wykonywania wszystkich dostêpnych komend, bez ograniczeñ. W drugim przypadku , nikt nie jest autoryzowany do wykonywania jakichkolwiek komend z wyj±tkiem zidentyfikowanych u¿ytkowników (u¿ywaj±cych komendy 'identify').

    Je¶li wpis has³a zaczyna siê od gwiazdki `*', u¿ytkownik jest blokowany. Je¶li wpis has³a jest pusty, ca³y wpis jest ignorowany. Oto przyk³ad ma³ego pliku hase³ ~/.xine/passwd:

    ALL:DENY
    daniel:mojehas³o
    foo:*

    To pozwoli tylko 'danielowi' wykonywaæ komendy po udanym etapie identyfikacji.

    Domy¶lny port serwera to 6789, ten numer jest absolutnie dowolny. Mo¿esz po³±czyæ siê z serwerem u¿ywaj±c prostej komendy telnet:
    telnet localhost 6789
    Aby zmieniæ domy¶lny port, mo¿esz (jako root) wyedytowaæ swój /etc/services, i dodaæ podobny wpis:

    xinectl    7890/tcp        # xine control

    to zmieni domy¶lny port z 6789 na 7890, i stworzy serwis nazwany xinectl.

    Serwer jako taki oferuje nastêpuj±c± pomoc/sk³adnie komend:
    help [komenda]
    Bez podanej komendy, zostan± wy¶wietlone wszystkie mo¿liwe komendy. Je¶li komenda jest podana, wy¶wietlony zostanie krótki tekst opisuj±cy funkcjonalno¶æ tej komendy.
    syntax <komenda>
    Wy¶wietla sk³adniê komendy.

-R, --root
    U¿yj okna g³ównego jako okna wyj¶cia obrazu.

-G, --geometry <WxH[+X+Y]>
    Mo¿na ustawiæ rozmiar i pozycjê okna wyj¶cia obrazu u¿ywaj±c geometrii znanej z X windows (patrz X(7)). X i Y to parametry opcjonalne.

-B, --borderless
    Usuñ obramowanie okna wyj¶cia obrazu w trybie okienkowym.

-P, --playlist <nazwa_pliku>
    U¿yj pliku jako listy odtwarzania. Rozpoznawane formaty to: asx, toxine, m3u, pls, sfv i plik textowy.

-l, --loop [mode]
    Ustaw tryb powtarzania listy odtwarzania. Je¶li tryb nie zostanie podany, zostanie u¿yty loop jako domy¶lny. Obs³ugiwane tryby to:
    loop: powtarzanie ca³ej listy.
    repeat: powtarzanie aktualnej pozycji z listy.
    shuffle: wybierz losowo jeszcze nie odtwarzan± pozycjê z listy.
    shuffle+: to samo co shuffle, ale w nieskoñczono¶æ powtarzaj listê.

MRL (media resource locator)
    MRL jest podobny do URL w Twojej przegl±darce internetowej. Opisuj± one no¶nik z którego nale¿y czytaæ. Poprawnym MRL mo¿e byæ nazwa pliku, lub jeden z:
    file:<¶cie¿ka>
    fifo:<¶cie¿ka>
    stdin:/
    dvd:/<tytu³>.<rozdzia³>
    vcd:/<numer¶cie¿ki>
    tcp://<host>:<port>
    rtp://<host>:<port>
    udp://<host>:<port><?iface=interface>
    http://<host>

Mo¿na zdefiniowaæ kilka MRL, aby odtwarzaæ jak±¶ ilo¶æ nastêpuj±cych po sobie sekwencji. Dodatkowe wtyczki wej¶cia wzbogacaj± listê dostêpnych MRL. Te wymienione powy¿ej s± dostêpne z libxine...

Je¶li nie zdefiniujesz ¿adnego MRL'a, bêdziesz musia³ wybraæ plik poprzez "przeci±gnij i upu¶æ". Dzia³a to z GNOME Midnight Commander (gmc), Nautilusem i Konquerorem.

pliki napisów avi
    Pliki tekstowe napisów mog± byæ dodane do pliku MRL (odseparowane znakiem `?'):
    file://<¶cie¿ka>?<plik_z_napisami>

opcje strumieni
    Po separatorze # mo¿na dodaæ ró¿ne parametry strumienia:

novideo
    obraz bêdzie ignorowany

noaudio
    d¼wiêk bêdzie ignorowany

nospu
    subobrazy bêd± ingorowane

demux:<nazwademultipleksera>
    podaj nazwê wtyczki demultipleksera

volume:<poziom>
    ustawia g³o¶no¶æ d¼wiêku

compression:<poziom>
    ustawia dynamiczny zakres kompresji d¼wiêku

<config wpis>:<config warto¶æ>
    przypisuje now± warto¶æ do jakiegokolwiek wpisu konfiguracji

KLAWISZE KONTROLNE
Wiele funkcji mo¿e byæ kontrolowanych przez naci¶niêcie odpowiednich klawiszy. `M-' to modyfikator (klawisz `Alt' na klawiaturze PC), `C-' to klawisz Control `CTRL', inne klawisze specjalne s± zamkniête znakami `<' i `>', np: klawisz `HOME' jest wy¶wietlany jako <home>. Domy¶lne mapowania klawiszy to:

0 .. 9
    Przeskocz do 0%....90% aktualnego strumienia

/   Przeskocz do miejsca okre¶lonego przez warto¶æ numerycznego argumentu (w procentach). Jest to bardziej ogólne zastosowanie ni¿ powy¿sze komendy 0...9. Zobacz równie¿ sekcjê "Wprowadzanie numerów" poni¿ej.

A   Prze³±cz proporcje ekranu (AUTO/16:9/4:3/DVB)

C-a Dodaj do listy odtwarzania znak no¶nika, z obecnej pozycji odtwarzania strumienia.

M-C Poka¿/Ukryj okno ustawieñ obrazu.

E   Wysuñ bierz±cy no¶nik.

f   Prze³±cz tryb pe³noekranowy.

F   Prze³±cz tryb pe³noekranowy xinerama.

G   Ukryj/poka¿ GUI (Graficzny Interfejs U¿ytkownika)

H   Ukryj/poka¿ okno wy¶wietlania obrazu.

i | I
    Prze³±cz tryby korekty przeplotu.

l   Prze³±cz pomiêdzy trybami powtarzania.

M-l Poka¿/Ukryj okno logów.

M-m Poka¿/ukryj przegl±darkê MRL

C-m Prze³±czenie trybu wyciszania d¼wiêku (mute).

CM-o
    Prze³±cz system TV na karcie DXR3.

C-o Otwórz przegl±darkê plików.

M-p Poka¿/ukryj okno listy odtwarzania.

Q   Wyj¶cie.

d   Prze³±cz monitor w tryb oszczêdzania energi DPMS.

s   Zoom 1:1.

S   Zatrzymaj odtwarzanie.

M-s Poka¿/ukryj okno ustawieñ.

z | Z
    Zoom - powiêkszanie/pomniejszanie.

M-C-z
    Resetowanie powiêkszenia.

v   Zmniejsz g³o¶no¶æ d¼wiêku.

V   Zwiêksz g³o¶no¶æ d¼wiêku.

t   Zrób zdjêcie - zrzut obrazu.

<return>
    Odtwarzaj

<space>
    Stopklatka

<up> | <down>
    Szybkie przewijanie / zwolnienie

C-<left> | C-<right>
    Przeskocz o -+15 sek.

<left> | <right>
    Przeskocz o -+60 sek.

<page up>
    Przeskocz do poprzedniego strumienia na li¶cie odtwarzania.

<page down>
    Przeskocz do nastêpnego strumienia na li¶cie odtwarzania.

<   Zmniejsz okno wy¶wietlania.

>   Zwiêksz okno wy¶wietlania.

M-1 Ustaw rozmiar okna wy¶wietlania na 50%

M-2 Ustaw rozmiar okna wy¶wietlania na 100%

M-3 Ustaw rozmiar okna wy¶wietlania na 200%

.   Wybierz nastêpny kana³ napisów.

,   Wybierz poprzedni kana³ napisów.

+   Wybierz nastêpny kana³ d¼wiêku (mo¿e potrwaæ do kilku sekund)

-   Wybierz poprzedni kana³ d¼wiêku

<Esc>
    Menu 1 (np. g³ówne menu)

<F1>
    Menu 2 (np. menu rozdzia³u)

<F2>
    Menu 3

<Insert>
    Prze³±cz widoczno¶æ kursora.

M-e Poka¿/ukryj okno Nawigatora.

M-i Poka¿ ukryj okno wy¶wietlania informacji o strumieniu.

C-t Prze³±cz tryb wy¶wietlania pomiêdzy MRL a identyfikatorem.

C-s Uaktualnij informacje o strumieniach listy odtwarzania (je¶li mo¿liwe)

C-e W oknie listy odtwarzania, u¿ywaj±c tego skrótu mo¿na zmieniæ zawarto¶æ znacznika no¶nika (takie jak identyfikator, mrl, czast startu i zatrzymania).

  Zewnêtrzne wtyczki
Nastêpuj±ce skróty s± u¿ywane przez wtyczki zewnêtrzne, generalnie do nawigacji DVD:

<KeyPad Up>
    Góra.

<KeyPad Down>
    Dó³.

<KeyPad Left>
    Lewo.

<KeyPad Right>
    Prawo.

<KeyPad Prior>
    Wstecz.

<KeyPad Next>
    Naprzód.

<KeyPad End>
    Poprzedni k±t kamery.

<KeyPad Home>
    Nastêpny k±t kamery.

<KeyPad Enter>
    Wybierz.

  Dostrajanie synchronizacji
Niektóre strumienie maj± b³êdne znaczniki czasu, wiêc synchronizacja siê nie udaje. Mo¿na to poprawiæ u¿ywaj±c nastêpuj±cych klawiszy:

n | N
    Naci¶nij je¶li obraz nie nad±¿a za d¼wiêkiem

m | Naci¶nij je¶li d¼wiêk nie nad±¿a za obrazem

<home>
    Naci¶nij aby zresetowaæ ustawienia przesuniêæ na 0, tak aby znaczniki czasu strumienia pozosta³y niezmienione.

  Wprowadzanie numerów
Jest mo¿liwe podawanie numerycznych skrótów, pomimo ¿e dla wstecznej kompatybilno¶ci klawisze numeryczne nie s± przypisane do ich cyfrowej warto¶ci. Co wiêcej, cyfry od 0 do 9 s± przypisane do symboli które nie mog± normalnie byæ wprowadzone z klawiatury. Dlatego mo¿liwo¶æ wprowadzania numerów jest domy¶lnie wy³±czona. Mo¿na, jednak, to zmieniæ przez
prze³±czenie warto¶ci modyfikatora "SetPosition<X>%" i "Number<Y>"    (gdzie <X> jest 0, 10, ... 90, i <Y> jest 0..9). W szczególno¶ci
nale¿y zast±piæ poni¿sze linie w pliku mapowania klawiszy ~/.xine/keymap.

# Ustaw pozycjê na pocz±tek lub 10...90% aktualnego strumienia.
SetPosition0% {
        key = 0
        modifier = mod3
}
SetPosition10% {
        key = 1
        modifier = mod3
}
SetPosition20% {
        key = 2
        modifier = mod3
}
SetPosition30% {
        key = 3
        modifier = mod3
}
SetPosition40% {
        key = 4
        modifier = mod3
}
SetPosition50% {
        key = 5
        modifier = mod3
}
SetPosition60% {
        key = 6
        modifier = mod3
}
SetPosition70% {
        key = 7
        modifier = mod3
}
SetPosition80% {
        key = 8
        modifier = mod3
}
SetPosition90% {
        key = 9
        modifier = mod3
}

# Wprowad¼ numery od 0 do  9.
Number0 {
        key = 0
        modifier = none
}
Number1 {
        key = 1
        modifier = none
}
Number2 {
        key = 2
        modifier = none
}
Number3 {
        key = 3
        modifier = none
}
Number4 {
        key = 4
        modifier = none
}
Number5 {
        key = 5
        modifier = none
}
Number6 {
        key = 6
        modifier = none
}
Number7 {
        key = 7
        modifier = none
}
Number8 {
        key = 8
        modifier = none
}
Number9 {
        key = 9
        modifier = none
}

Dokonuj±c powy¿szych zmian, mo¿esz podaæ numeryczny argument do komendy, wprowadzaj±c numer i nastêpnie klawisz funkcyjny. Np. wprowadzaj±c "99/", to jest klawisz "9" dwa razy a nastêpnie klawisz "/", mo¿na przeskoczyæ do 99% bierz±cego strumienia.

Nowa eksperymentalna wtyczka VCD/SVCD, VCDX, pozwala na niektóre wprowadzania numerów. Wprowadzaj±c numer i nastêpuj±cy po nim sygna³ "wybierz" (domy¶lnie Enter na numerycznej klawiaturze), mo¿na przej¶æ do podanego "Rozdzia³u" (¶cie¿ki lub pozycji) lub numeru selekcji. Jako ¿e jest to relatywnie nowa funkcjonalno¶æ, mo¿liwe ¿e z czasem wiêcej wtyczek bêdzie u¿ywaæ wprowadzania numerów.

Inne komendy które mog± byæ numeryczne, poprzedzone numerów argumentem s± nastêpny/poprzedni MRL, (MRL_NEXT, MRL_PRIOR), nastêpny/poprzedni kana³ napisów (SPU_NEXT, SPU_PRIOR), i nastêpny/poprzedni kana³ d¼wiêku (AUDIOCHAN_NEXT, AUDIOCHAN_PRIOR). Z numerycznym prefiksem to tak jak by wykonaæ dan± komendê okre¶lon± ilo¶æ razy. Tutaj argument "0" jest interpretowany jako "1" bo inaczej by³by bez znaczenia.

U¿ycie wprowadzania numerów ma raczej ograniczon± warto¶æ u¿ytkow±. Z czasem mo¿e zostanie zaimplementowanych wiêcej takich jak np. podawanie okre¶lonego albo absolutnego MRL, kana³u napisów lub kana³u d¼wiêku.

PLIKI

u   ~/.xine/config G³ówny plik konfiguracyjny xine

~/.xine/keymap
    Mapowanie klawiszy xine-ui

~/.xine/passwd
    Plik hase³ xine-ui

~/.xine/xinerc
    Dodatkowe argumenty lini poleceñ
    Ka¿da linia okre¶la dodatkowy argument lini poleceñ (jeden argument na liniê):
    --geometry 720x576+0+0
    --network
    -s DVD
    -p

ZOBACZ RÓWNIE¿
xine-remote(1).
Program jest w pe³ni udokumentowany na stronie domowej projektu xine: http://xine.sourceforge.net/ (http://xine.sourceforge.net/)

AUTOR
Ta strona manuala zosta³a napisana przez Siggi'ego Langauf'a <siggi@debian.org>, dla projektu xine. Du¿o dodatków: Guenter Bartsch <guenter@users.sourceforge.net> Daniel Caujolle-Bert <f1rmb@users.sourceforge.net> Rocky Bernstein <rocky@panix.com>, i Philipp Hahn <pmhahn@users.sourceforge.net>.

T£UMACZENIE
Bart³omiej Muryn <_4ever_@irc.pl>